ScummVM logo Forum Index - ScummVM website - Contact us - Buy Supported Games: GOG.com Rules - Search - Register - Login curved edge
Folder Forum Index > PocketPC/WinCE Port > wince 3.00 (2002) build for release 0.9.0
wince 3.00 (2002) build for release 0.9.0

Which OS version are you using?
2002
18%
 18%  [ 3 ]
2003 (or 2003SE)
56%
 56%  [ 9 ]
WM5
25%
 25%  [ 4 ]
Total Votes : 16

  Author    Thread Reply to topic
knakos
ScummVM Porter


Joined: 02 Nov 2005
Posts: 424
Location: Athens, Greece
wince 3.00 (2002) build for release 0.9.0 

Dear users,

You may have noticed that there is no build for 2002 OS devices available with release 0.9.0 of scummvm. As I remarked on an earlier thread, the codebase has become increasingly complex to "confuse" the evc3 developement system, which has to be used for 2002 devices. We are working on using alternative build systems (gcc) which should provide the required backward compatibility. This is our major priority right now, before a round of bug-squishing which have made their way in 0.9.0. I think this is also a good time to have a poll about the number of users with old devices Smile

Kostas

PS. The poll is going to run for 30 days.

 Reply with quote  
Post Mon Jun 26, 2006 9:16 am 
 View user's profile Send private message
n0p



Joined: 16 Jan 2006
Posts: 2
 

Hi knakos!
If you plan using gcc 3.3.3 toolchain - ScummVM compiles and runs fine but chances that this build will run on 2002 are quite low.

 Reply with quote  
Post Mon Jun 26, 2006 1:53 pm 
 View user's profile Send private message
knakos
ScummVM Porter


Joined: 02 Nov 2005
Posts: 424
Location: Athens, Greece
 

Hi n0p,

Thanks again for your contributions. I'm currently compiling using the toolchain from the vlc guys, after the advice of joostp. I wrote a three line app for testing which runs just fine on my 2002 device. It's a long way from a simple app to scummvm, but at least it seems there is binary compatibility with these tools. The currect ce codebase needs modifications for successful compilation/linking which i will commit as soon as I get scummvm running.

Kostas

PS. The toolchain has gcc 4.1.0 20050511.

 Reply with quote  
Post Mon Jun 26, 2006 2:25 pm 
 View user's profile Send private message
unununium



Joined: 23 Aug 2006
Posts: 2
 

Are there any news about a 0.9.0 for WM2002? Would love it, as I want to play on PC and PPC with the same version (savegames...).
I already installed 0.9.0 without thinking about this problem, and don't have any new savegames from 0.8.2 Sad Otherwise I would simply downgrade.

MfG
unununium

 Reply with quote  
Post Wed Aug 23, 2006 4:16 pm 
 View user's profile Send private message MSN Messenger ICQ Number
knakos
ScummVM Porter


Joined: 02 Nov 2005
Posts: 424
Location: Athens, Greece
 

lookey here

 Reply with quote  
Post Wed Aug 23, 2006 5:27 pm 
 View user's profile Send private message
unununium



Joined: 23 Aug 2006
Posts: 2
 

Wow, great! Didn't find it by using the search...
If you'd stay in front of me I'd kiss you. Smile

 Reply with quote  
Post Wed Aug 23, 2006 5:31 pm 
 View user's profile Send private message MSN Messenger ICQ Number
FeebleFiles1



Joined: 12 Feb 2006
Posts: 98
scummvm on Windows CE 4.2? 

Hello,

i tryed now the exe you have the link in the first topic of this theard.

But i always get the error it isnt a valid windows ce application.

My pocketpc have an Phillips ARM-ARM920 Processor. I downloadet some applications such as Pocketpaint, they are working without problems, SodokuCE also works without problems

 Reply with quote  
Post Thu Aug 24, 2006 12:00 pm 
 View user's profile Send private message
knakos
ScummVM Porter


Joined: 02 Nov 2005
Posts: 424
Location: Athens, Greece
 

I bope you added to the unbzipped file the .exe extension.

Other than that, the error you report is given when either:
1) an application has invalid format (ie. no PE header - generic data file)
2) the os version of the application is greater then the device
3) you're missing some .dll the application depends on.

(2) is out of the question. You may try putting a gx.dll in the scummvm directory if your system does not supply one. (1) is out of the question as well (provided the .exe was added.

K.

 Reply with quote  
Post Thu Aug 24, 2006 1:08 pm 
 View user's profile Send private message
end1r



Joined: 07 Sep 2006
Posts: 5
 

How do I participate in this poll?

I am running HTC Wizard (Cingular 8125) with WindowsMoble 5.

 Reply with quote  
Post Fri Sep 08, 2006 6:12 pm 
 View user's profile Send private message
  Display posts from previous:      
Reply to topic

Forum Jump:
 



Forum Rules:
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

 

Powered by phpBB © 2001, 2006 phpBB Group
Forum design by ScummVM team, icons by raina
curved edge   curved edge